using System;
					
public class Program
{
	public static void Main()
	{
		string temp = "";
		string s = Console.ReadLine();
		string s1 = Console.ReadLine();
		if(s.Length>s1.Length){
			temp+= s.Substring(0,s.Length-s1.Length);
			s=s.Substring(s.Length-s1.Length);
		}
	    if(s1.Length>s.Length){
			temp+= s1.Substring(0,s1.Length-s.Length);
			s1=s1.Substring(s1.Length-s.Length);
		}
		for (int i = 0; i < s.Length; i++) {
			if(s[i]>s1[i]) temp+=s[i];
            else if(s1[i]>s[i]) temp+=s1[i];
            else {temp+=s[i];temp+=s[i];}
		}
		Console.WriteLine(temp);
	}
}